org.apache.ignite.internal.processors.cache.persistence

## Class GridCacheDatabaseSharedManager.CheckpointStatus

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.GridCacheDatabaseSharedManager.CheckpointStatus

Enclosing class:
  GridCacheDatabaseSharedManager

    public static class GridCacheDatabaseSharedManager.CheckpointStatus
    extends Object

### Field Summary

Fields
`static WALPointer` `NULL_PTR` Null WAL pointer.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `needRestoreMemory()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NULL_PTR

    public static final WALPointer NULL_PTR

Null WAL pointer.

### Method Detail

#### needRestoreMemory

    public boolean needRestoreMemory()

Returns:
  `True` if need perform binary memory recovery. Only records `PageDeltaRecord` and `PageSnapshot` needs to be applyed from `cpStartId`.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020